Subject: My app crashes on 98 but not NT
From: "Michael D. Crawford" <[email-masked]>
To: [email-masked]
Date: Sat, 03 Nov 2001 18:41:49 -0500

I have written a C++ application that uses the Win32 api.  For the most part, 
I've been developing it on NT service pack 6 and it's been working reliably - 
the only bugs have been my fault, with the exception of the gdb problem I 
reported a few days ago.

Today I decided to work on my Windows 98 laptop, with my NT's filesystems 
mounted as mapped network drives on the laptop.  I started having a lot of weird 
problems.

One thing that would happen is that if I ran my program under gdb without any 
breakpoints, the program would never quit and gdb would become unresponsive.  If 
I set a breakpoint in main() and stepped to the return statement at the end, gdb 
would lock up at the point of exiting from main.  Using the task manager 
(ctrl-alt-delete) wouldn't help to kill gdb, I had to force a reboot.

Then I tried running my program just from the shell, without a debugger, and it 
crashed and issued a stackdump.  This happened while running the program several 
different ways, including ways I was pretty sure should have worked correctly.

To try to investigate this, I did a full recompile on the NT box, and ran it 
there.  The program ran to completion with no errors on NT.  Using the same 
build as I just ran on NT, I got the same crash as before on 98.  (I had 
suspected there were compile errors somehow resulting from using a network 
drive, but that doesn't seem to be the case).  Also, I copied the project 
directories over to a local filesystem and recompiled there, and got the same crash.

Using the same source code, I can build the project under Metrowerks CodeWarrior 
6.1 for Windows and run it properly, and use the CodeWarrior debugger with no 
problem.  I also have MS Visual C++ available but haven't tried it lately.  (I 
find it helpful to test my code under different development systems; also 
different debuggers help to find some bugs that another debugger won't help with).

I've developed under CygWin with this laptop before, using an earlier version of 
this codebase, and it's worked OK.  I'm using the latest packages of everything 
as of 3-nov-2001 - I even forced a reinstall of everything just to make sure.

I would suspect that I was using an NT-only system call in my application, but I 
make very few direct Win32 system calls, mostly using the stl and the c library, 
and what system calls I do make have worked before.  Also, the same source code 
works on 98 when built with codewarrior.

I know this is kind of a vague problem report, but I don't know yet how to track 
it down more thoroughly than that.  I do get the stackdumps when the program 
crashes, but there are no symbols in them.  If there were a way I could get a 
core dump that gdb could understand, or I could get symbols in the stackdump, 
maybe I could track it down a little further.

At least I can keep working if I use CygWin on my NT box.

(Unfortunately I cannot release the source of the C++ app I am developing, it is 
proprietary software for a client.  But it's possible I could trim it down to 
something that would illustrate the bug without disclosing trade secrets).

Following are the output of cygcheck -s -v -r for both my 98 laptop and my NT box:

Win98 Laptop (where it crashes):

Cygnus Win95/NT Configuration Diagnostics
Current System Time: Sat Nov  3 17:52:40 2001

Win9X Ver 4.10 build 67766222

Path: 
/usr/local/bin
	/usr/bin
	/bin
	/cygdrive/c/PROGRA~1/MICROS~1/COMMON/MSDEV98/BIN
	/cygdrive/c/PROGRA~1/MICROS~1/VC98/BIN
	/cygdrive/c/PROGRA~1/MICROS~1/COMMON/TOOLS/WIN95
	/cygdrive/c/PROGRA~1/MICROS~1/COMMON/TOOLS
	/cygdrive/c/SYSTEM
	/cygdrive/c/WINDOWS
	/cygdrive/c/WINDOWS/COMMAND
	/cygdrive/c/COREL/OFFICE7/SHARED/TRUEDOC/BIN
	/cygdrive/c/PROGRA~1/NETWOR~1/PGP

SysDir: C:\WINDOWS\SYSTEM
WinDir: C:\WINDOWS

PWD = `/cygdrive/i/MktResDev/Tests/CygWin'
LD_LIBRARY_PATH = `/cygdrive/c/COREL/OFFICE7/SHARED/TRUEDOC/BIN'
USER = `mike'
MAKE_MODE = `unix'
HOME = `/home/mike'

PROMPT = `$p$g'
COMSPEC = `C:\WINDOWS\COMMAND.COM'
!C: = `C:\cygwin\bin'
CMDLINE = `bash --login -i'
HOSTNAME = `KINGOFSWING'
INCLUDE = 
`C:\PROGRA~1\MICROS~1\VC98\ATL\INCLUDE;C:\PROGRA~1\MICROS~1\VC98\INCLUDE;C:\PROGRA~1\MICROS~1\VC98\MFC\INCLUDE;'
MSDEVDIR = `C:\PROGRA~1\MICROS~1\COMMON\msdev98'
!E: = `E:\MktResDev\Tests\CygWin'
CLASSPATH = `.;c:\COREL\OFFICE7\SHARED\BARISTA;c:\COREL\OFFICE7\SHARED\TRUEDOC'
WINDIR = `C:\WINDOWS'
MSVCDIR = `C:\PROGRA~1\MICROS~1\VC98'
WINBOOTDIR = `C:\WINDOWS'
PS1 = `\[\033]0;\w\007
\033[32m\]\u@\h \[\033[33m\w\033[0m\]
$ '
BLASTER = `A220 I5 D1'
MACHTYPE = `i686-pc-cygwin'
OLDPWD = `/cygdrive/i/MktResDev'
!I: = `I:\MktResDev\Tests\CygWin'
TEMP = `/cygdrive/c/WINDOWS/TEMP'
LIB = `C:\PROGRA~1\MICROS~1\VC98\LIB;C:\PROGRA~1\MICROS~1\VC98\MFC\LIB;'
SHLVL = `1'
SHELL = `/bin/bash'
HOSTTYPE = `i686'
OSTYPE = `cygwin'
TERM = `cygwin'
_ = `/usr/bin/cygcheck'
TZ = `EST5EDT4,M4.1.0/2,M10.5.0/2'

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\Start 
Menu\&Programs\Cygnus Solutions
   (default) = (unsupported type)
HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
   (default) = `/cygdrive'
   cygdrive flags = 0x00000022
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/
   (default) = `C:/cygwin'
   flags = 0x0000000a
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
   (default) = `C:/cygwin/bin'
   flags = 0x0000000a
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
   (default) = `C:/cygwin/lib'
   flags = 0x0000000a
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\Program Options

a:  fd           N/A    N/A
c:  hd  FAT32   4059Mb  76% CP    UN
d:  hd  FAT32   2037Mb  69% CP    UN           KITTYHAWK
e:  hd  FAT32   1985Mb  61% CP    UN           SAMMAPJAMMA
f:  cd           N/A    N/A
g:  net FAT     2047Mb  99% CP    UN
h:  net NTFS    2047Mb  96% CP CS UN PA FC
i:  net NTFS    1004Mb 100% CP CS UN PA FC     Spot

C:\cygwin\bin  /usr/bin  system  binmode
C:\cygwin\lib  /usr/lib  system  binmode
C:\cygwin  /        system  binmode
c:    /cygdrive/c  user    binmode,noumount
d:    /cygdrive/d  user    binmode,noumount
e:    /cygdrive/e  user    binmode,noumount
g:    /cygdrive/g  user    binmode,noumount
h:    /cygdrive/h  user    binmode,noumount
i:    /cygdrive/i  user    binmode,noumount

Found: C:\cygwin\bin\bash.exe
Found: C:\cygwin\bin\cat.exe
Found: C:\cygwin\bin\cpp.exe
Found: C:\cygwin\bin\find.exe
Found: c:\WINDOWS\COMMAND\find.exe
Warning: C:\cygwin\bin\find.exe hides c:\WINDOWS\COMMAND\find.exe
Found: C:\cygwin\bin\gcc.exe
Found: C:\cygwin\bin\gdb.exe
Found: C:\cygwin\bin\ld.exe
Found: C:\cygwin\bin\ls.exe
Found: C:\cygwin\bin\make.exe
Found: C:\cygwin\bin\sh.exe

    56k 2000/12/03 C:\cygwin\bin\cygbz21.0.dll - os=4.0 img=1.0 sys=4.0
                   "cygbz21.0.dll" v0.0 ts=2000/11/20 18:53
    21k 2001/06/20 C:\cygwin\bin\cygintl.dll - os=4.0 img=1.0 sys=4.0
                   "cygintl.dll" v0.0 ts=2001/6/20 13:09
    81k 2000/12/05 C:\cygwin\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
                   "cygitcl30.dll" v0.0 ts=2000/11/25 20:43
    35k 2000/12/05 C:\cygwin\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
                   "cygitk30.dll" v0.0 ts=2000/11/25 20:43
   390k 2000/12/05 C:\cygwin\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
                   "cygtcl80.dll" v0.0 ts=2000/11/25 20:39
     5k 2000/12/05 C:\cygwin\bin\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
    10k 2000/12/05 C:\cygwin\bin\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
                   "cygtclreg80.dll" v0.0 ts=2000/11/25 20:39
   623k 2000/12/05 C:\cygwin\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
                   "cygtk80.dll" v0.0 ts=2000/11/25 20:43
    18k 2000/10/23 C:\cygwin\bin\cyggdbm.dll - os=4.0 img=1.0 sys=4.0
                   "cyggdbm.dll" v0.0 ts=2000/10/22 22:26
    45k 2001/07/04 C:\cygwin\bin\cygjbig1.dll - os=4.0 img=1.0 sys=4.0
                   "cygjbig1.dll" v0.0 ts=2001/7/3 23:25
   119k 2001/06/06 C:\cygwin\bin\cygjpeg6b.dll - os=4.0 img=1.0 sys=4.0
                   "cygjpeg6b.dll" v0.0 ts=2001/6/6 0:27
   163k 2001/05/06 C:\cygwin\bin\cygpng2.dll - os=4.0 img=1.0 sys=4.0
                   "cygpng2.dll" v0.0 ts=2001/5/6 0:05
    17k 2001/06/28 C:\cygwin\bin\cyghistory4.dll - os=4.0 img=1.0 sys=4.0
                   "cyghistory4.dll" v0.0 ts=2001/1/6 23:34
    21k 2001/06/28 C:\cygwin\bin\cyghistory5.dll - os=4.0 img=1.0 sys=4.0
                   "cyghistory5.dll" v0.0 ts=2001/6/27 22:27
   108k 2001/06/28 C:\cygwin\bin\cygreadline4.dll - os=4.0 img=1.0 sys=4.0
                   "cygreadline4.dll" v0.0 ts=2001/1/6 23:34
   135k 2001/06/28 C:\cygwin\bin\cygreadline5.dll - os=4.0 img=1.0 sys=4.0
                   "cygreadline5.dll" v0.0 ts=2001/6/27 22:27
   245k 2001/06/12 C:\cygwin\bin\cygtiff3.dll - os=4.0 img=1.0 sys=4.0
                   "cygtiff3.dll" v0.0 ts=2001/6/12 13:25
    41k 2001/07/04 C:\cygwin\bin\cygXpm-noX4.dll - os=4.0 img=1.0 sys=4.0
                   "cygXpm-noX4.dll" v0.0 ts=2001/7/3 21:21
    45k 2001/07/04 C:\cygwin\bin\cygXpm-X4.dll - os=4.0 img=1.0 sys=4.0
                   "cygXpm-X4.dll" v0.0 ts=2000/11/19 21:45
    49k 2001/02/03 C:\cygwin\bin\cygz.dll - os=4.0 img=1.0 sys=4.0
                   "cygz.dll" v0.0 ts=2001/2/3 15:35
    45k 2001/04/25 C:\cygwin\bin\cygform5.dll - os=4.0 img=1.0 sys=4.0
                   "cygform5.dll" v0.0 ts=2001/4/25 1:28
    26k 2001/04/25 C:\cygwin\bin\cygmenu5.dll - os=4.0 img=1.0 sys=4.0
                   "cygmenu5.dll" v0.0 ts=2001/4/25 1:27
   156k 2001/04/25 C:\cygwin\bin\cygncurses++5.dll - os=4.0 img=1.0 sys=4.0
                   "cygncurses++5.dll" v0.0 ts=2001/4/25 1:29
   226k 2001/04/25 C:\cygwin\bin\cygncurses5.dll - os=4.0 img=1.0 sys=4.0
                   "cygncurses5.dll" v0.0 ts=2001/4/25 1:17
    15k 2001/04/25 C:\cygwin\bin\cygpanel5.dll - os=4.0 img=1.0 sys=4.0
                   "cygpanel5.dll" v0.0 ts=2001/4/25 1:27
    34k 2001/09/30 C:\cygwin\bin\cygform6.dll - os=4.0 img=1.0 sys=4.0
                   "cygform6.dll" v0.0 ts=2001/9/29 22:43
    19k 2001/09/30 C:\cygwin\bin\cygmenu6.dll - os=4.0 img=1.0 sys=4.0
                   "cygmenu6.dll" v0.0 ts=2001/9/29 22:43
   175k 2001/09/30 C:\cygwin\bin\cygncurses++6.dll - os=4.0 img=1.0 sys=4.0
                   "cygncurses++6.dll" v0.0 ts=2001/9/29 22:45
   201k 2001/09/30 C:\cygwin\bin\cygncurses6.dll - os=4.0 img=1.0 sys=4.0
                   "cygncurses6.dll" v0.0 ts=2001/9/29 22:42
    12k 2001/09/30 C:\cygwin\bin\cygpanel6.dll - os=4.0 img=1.0 sys=4.0
                   "cygpanel6.dll" v0.0 ts=2001/9/29 22:43
   701k 2001/09/13 C:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                   "cygwin1.dll" v0.0 ts=2001/9/12 23:54
     Cygwin DLL version info:
         dll major: 1003
         dll minor: 3
         dll epoch: 19
         dll bad signal mask: 19005
         dll old termios: 5
         dll malloc env: 28
         api major: 0
         api minor: 46
         shared data: 3
         dll identifier: cygwin1
         mount registry: 2
         cygnus registry name: Cygnus Solutions
         cygwin registry name: Cygwin
         program options name: Program Options
         cygwin mount registry name: mounts v2
         cygdrive flags: cygdrive flags
         cygdrive prefix: cygdrive prefix
         cygdrive default prefix:
         build date: Wed Sep 12 23:54:31 EDT 2001
         shared id: cygwin1S3

Use -h to see help about each section

NT desktop (where it works OK)

Cygnus Win95/NT Configuration Diagnostics
Current System Time: Sat Nov  3 18:22:52 2001

WinNT Ver 4.0 build 1381 Service Pack 6

Path: 
/usr/local/bin
	/usr/bin
	/bin
	/cygdrive/d/WINNT/system32
	/cygdrive/d/WINNT
	/cygdrive/d/Program Files/Network Associates/PGPNT
	/cygdrive/d/gnu/emacs-21.1/bin
	.
	/cygdrive/c/COREL/OFFICE7/SHARED/TRUEDOC/BIN

SysDir: D:\WINNT\System32
WinDir: D:\WINNT

PWD = `/cygdrive/e/MktResDev/Tests/CygWin'
LD_LIBRARY_PATH = `/cygdrive/c/COREL/OFFICE7/SHARED/TRUEDOC/BIN'
USER = `mike'
MAKE_MODE = `unix'
HOME = `/home/mike'

NUMBER_OF_PROCESSORS = `1'
PROMPT = `$P$G'
LOGONSERVER = `\\BJARNE'
OS2LIBPATH = `D:\WINNT\system32\os2\dll;'
COMSPEC = `D:\WINNT\system32\cmd.exe'
SYSTEMDRIVE = `D:'
HOSTNAME = `BJARNE'
PROCESSOR_REVISION = `0803'
!D: = `D:\cygwin\bin'
PATHEXT = `.COM;.EXE;.BAT;.CMD'
COMPUTERNAME = `BJARNE'
CLASSPATH = `.;c:\COREL\OFFICE7\SHARED\BARISTA;c:\COREL\OFFICE7\SHARED\TRUEDOC'
WINDIR = `D:\WINNT'
USERPROFILE = `D:\WINNT\Profiles\mike'
PS1 = `\[\033]0;\w\007
\033[32m\]\u@\h \[\033[33m\w\033[0m\]
$ '
MACHTYPE = `i686-pc-cygwin'
PROCESSOR_IDENTIFIER = `x86 Family 6 Model 8 Stepping 3, GenuineIntel'
OS = `Windows_NT'
OLDPWD = `/cygdrive/e'
PROCESSOR_ARCHITECTURE = `x86'
TEMP = `/cygdrive/d/TEMP'
PROCESSOR_LEVEL = `6'
SYSTEMROOT = `D:\WINNT'
HOMEDRIVE = `D:'
SHLVL = `1'
HOMEPATH = `\Mike'
USERDOMAIN = `BJARNE'
USERNAME = `mike'
SHELL = `/bin/bash'
HOSTTYPE = `i686'
OSTYPE = `cygwin'
TERM = `cygwin'
_ = `/usr/bin/cygcheck'
TZ = `EST5EDT4,M4.1.0/2,M10.5.0/2'

HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
   (default) = `/cygdrive'
   cygdrive flags = 0x00000022
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/enhydra3.0.1
   (default) = `\enhydra3.0.1'
   flags = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/local/enhydra
   (default) = `d:\usr\local\enhydra3.0.1'
   flags = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/local/enhydra3.0.1
   (default) = `D:\usr\local\enhydra3.0.1'
   flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options

a:  fd           N/A    N/A
c:  hd  FAT     2047Mb  99% CP    UN
d:  hd  NTFS    2047Mb  96% CP CS UN PA FC
e:  hd  NTFS    1004Mb 100% CP CS UN PA FC     Spot
f:  cd  CDFS       0Mb -2147483548%    CS              Audio CD

D:\usr\local\enhydra3.0.1  /usr/local/enhydra3.0.1  user    binmode
d:\usr\local\enhydra3.0.1  /usr/local/enhydra  user    textmode
D:\cygwin\bin  /usr/bin  system  binmode
D:\cygwin\lib  /usr/lib  system  binmode
\enhydra3.0.1  /enhydra3.0.1  user    textmode
D:\cygwin  /        system  binmode
c:    /cygdrive/c  user    binmode,noumount
d:    /cygdrive/d  user    binmode,noumount
e:    /cygdrive/e  user    binmode,noumount
f:    /cygdrive/f  user    binmode,noumount

Found: D:\cygwin\bin\bash.exe
Found: D:\cygwin\bin\cat.exe
Found: D:\cygwin\bin\cpp.exe
Found: D:\cygwin\bin\find.exe
Found: D:\cygwin\bin\gcc.exe
Found: D:\cygwin\bin\gdb.exe
Found: D:\cygwin\bin\ld.exe
Found: D:\cygwin\bin\ls.exe
Found: D:\cygwin\bin\make.exe
Found: D:\cygwin\bin\sh.exe

    56k 2000/12/03 D:\cygwin\bin\cygbz21.0.dll - os=4.0 img=1.0 sys=4.0
                   "cygbz21.0.dll" v0.0 ts=2000/11/20 18:53
    34k 2001/09/30 D:\cygwin\bin\cygform6.dll - os=4.0 img=1.0 sys=4.0
                   "cygform6.dll" v0.0 ts=2001/9/29 22:43
    18k 2000/10/23 D:\cygwin\bin\cyggdbm.dll - os=4.0 img=1.0 sys=4.0
                   "cyggdbm.dll" v0.0 ts=2000/10/22 22:26
    17k 2001/06/28 D:\cygwin\bin\cyghistory4.dll - os=4.0 img=1.0 sys=4.0
                   "cyghistory4.dll" v0.0 ts=2001/1/6 23:34
    21k 2001/06/28 D:\cygwin\bin\cyghistory5.dll - os=4.0 img=1.0 sys=4.0
                   "cyghistory5.dll" v0.0 ts=2001/6/27 22:27
    21k 2001/06/20 D:\cygwin\bin\cygintl.dll - os=4.0 img=1.0 sys=4.0
                   "cygintl.dll" v0.0 ts=2001/6/20 13:09
    81k 2001/10/20 D:\cygwin\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
                   "cygitcl30.dll" v0.0 ts=2001/10/19 20:25
    35k 2001/10/20 D:\cygwin\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
                   "cygitk30.dll" v0.0 ts=2001/10/19 20:25
    45k 2001/07/04 D:\cygwin\bin\cygjbig1.dll - os=4.0 img=1.0 sys=4.0
                   "cygjbig1.dll" v0.0 ts=2001/7/3 23:25
   119k 2001/06/06 D:\cygwin\bin\cygjpeg6b.dll - os=4.0 img=1.0 sys=4.0
                   "cygjpeg6b.dll" v0.0 ts=2001/6/6 0:27
    19k 2001/09/30 D:\cygwin\bin\cygmenu6.dll - os=4.0 img=1.0 sys=4.0
                   "cygmenu6.dll" v0.0 ts=2001/9/29 22:43
   175k 2001/09/30 D:\cygwin\bin\cygncurses++6.dll - os=4.0 img=1.0 sys=4.0
                   "cygncurses++6.dll" v0.0 ts=2001/9/29 22:45
   201k 2001/09/30 D:\cygwin\bin\cygncurses6.dll - os=4.0 img=1.0 sys=4.0
                   "cygncurses6.dll" v0.0 ts=2001/9/29 22:42
    12k 2001/09/30 D:\cygwin\bin\cygpanel6.dll - os=4.0 img=1.0 sys=4.0
                   "cygpanel6.dll" v0.0 ts=2001/9/29 22:43
   163k 2001/05/06 D:\cygwin\bin\cygpng2.dll - os=4.0 img=1.0 sys=4.0
                   "cygpng2.dll" v0.0 ts=2001/5/6 0:05
   108k 2001/06/28 D:\cygwin\bin\cygreadline4.dll - os=4.0 img=1.0 sys=4.0
                   "cygreadline4.dll" v0.0 ts=2001/1/6 23:34
   135k 2001/06/28 D:\cygwin\bin\cygreadline5.dll - os=4.0 img=1.0 sys=4.0
                   "cygreadline5.dll" v0.0 ts=2001/6/27 22:27
   390k 2001/10/20 D:\cygwin\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
                   "cygtcl80.dll" v0.0 ts=2001/10/19 20:24
     5k 2001/10/20 D:\cygwin\bin\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
    10k 2001/10/20 D:\cygwin\bin\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
                   "cygtclreg80.dll" v0.0 ts=2001/10/19 20:24
   245k 2001/06/12 D:\cygwin\bin\cygtiff3.dll - os=4.0 img=1.0 sys=4.0
                   "cygtiff3.dll" v0.0 ts=2001/6/12 13:25
   623k 2001/10/20 D:\cygwin\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
                   "cygtk80.dll" v0.0 ts=2001/10/19 20:25
    41k 2001/07/04 D:\cygwin\bin\cygXpm-noX4.dll - os=4.0 img=1.0 sys=4.0
                   "cygXpm-noX4.dll" v0.0 ts=2001/7/3 21:21
    45k 2001/07/04 D:\cygwin\bin\cygXpm-X4.dll - os=4.0 img=1.0 sys=4.0
                   "cygXpm-X4.dll" v0.0 ts=2000/11/19 21:45
    49k 2001/02/03 D:\cygwin\bin\cygz.dll - os=4.0 img=1.0 sys=4.0
                   "cygz.dll" v0.0 ts=2001/2/3 15:35
   701k 2001/09/13 D:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                   "cygwin1.dll" v0.0 ts=2001/9/12 23:54
     Cygwin DLL version info:
         dll major: 1003
         dll minor: 3
         dll epoch: 19
         dll bad signal mask: 19005
         dll old termios: 5
         dll malloc env: 28
         api major: 0
         api minor: 46
         shared data: 3
         dll identifier: cygwin1
         mount registry: 2
         cygnus registry name: Cygnus Solutions
         cygwin registry name: Cygwin
         program options name: Program Options
         cygwin mount registry name: mounts v2
         cygdrive flags: cygdrive flags
         cygdrive prefix: cygdrive prefix
         cygdrive default prefix:
         build date: Wed Sep 12 23:54:31 EDT 2001
         shared id: cygwin1S3

Use -h to see help about each section

-- 
Michael D. Crawford
GoingWare Inc. - Expert Software Development and Consulting
http://www.goingware.com
[email-masked]

   Tilting at Windmills for a Better Tomorrow.

     "I give you this one rule of conduct. Do what you will, but speak
      out always. Be shunned, be hated, be ridiculed, be scared,
      be in doubt, but don't be gagged."
      -- John J. Chapman, "Make a Bonfire of Your Reputations"
         http://www.goingware.com/reputation/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/